# List Ip Access Lists

Launch stage: GA

`GET /api/2.0/ip-access-lists`

Gets all IP access lists for the specified workspace.

API scopes: networking

## Returns

- `ip_access_lists` (array of object, optional)
  - `list_id` (string, optional)
    Universally unique identifier (UUID) of the IP access list.
  - `label` (string, optional)
    Label for the IP access list. This **cannot** be empty.
    Example: `Office VPN`
  - `ip_addresses` (array of string, optional)
    Example: `192.168.100.0/22`
  - `address_count` (int32, optional)
    Total number of IP or CIDR values.
    Example: `2`
  - `list_type` (string, optional)
    Possible values: `ALLOW`, `BLOCK`
  - `created_at` (int64, optional)
    Creation timestamp in milliseconds.
    Example: `1580265020299`
  - `created_by` (int64, optional)
    User ID of the user who created this list.
    Example: `202480738464078`
  - `updated_at` (int64, optional)
    Update timestamp in milliseconds.
    Example: `1580265020299`
  - `updated_by` (int64, optional)
    User ID of the user who updated this list.
    Example: `202480738464089`
  - `enabled` (boolean, optional)
    Specifies whether this IP access list is enabled.

## Response

```json
{
  "ip_access_lists": [
    {
      "address_count": 2,
      "created_at": 1668721146261,
      "created_by": 5145712326753123,
      "enabled": true,
      "ip_addresses": [
        "32.19.112.0",
        "192.168.100.0/22"
      ],
      "label": "Office VPN",
      "list_id": "4da50de0-fa72-4959-a76f-ca434c61e79a",
      "list_type": "ALLOW",
      "updated_at": 1679462174641,
      "updated_by": 5145712326753123
    },
    {
      "address_count": 3,
      "created_at": 1679681892421,
      "created_by": 5145712326753123,
      "enabled": true,
      "ip_addresses": [
        "198.54.117.59",
        "3.46.85.235/24",
        "251.3.208.1"
      ],
      "label": "Public Lobby",
      "list_id": "103e0ef1-a04b-4dda-8dcb-9c4369cb655d",
      "list_type": "BLOCK",
      "updated_at": 1679681892421,
      "updated_by": 5145712326753123
    }
  ]
}
```

